
main {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 30px;
  padding: 40px 20px;
}

.card-link {
  display: inline-block;
  text-align: center;
}

.card-link a {
  text-decoration: none;
  color: inherit;
}

.card-bg {
  position: relative;
  display: flex;
  align-items: flex-end;
  justify-content: center;
  border-radius: 20px;
  overflow: hidden;
  box-shadow: 0 10px 30px rgba(0,0,0,0.4);
  transition: transform 0.4s ease, box-shadow 0.4s ease;
}


.card-bg img.card-img {
  width: 100%;
  max-width: 363px;
  height: auto;
  display: block;
  border-radius: 20px;
}

.card-bg:hover {
  transform: translateY(-10px) scale(1.02);
  box-shadow: 0 25px 60px rgba(0,0,0,0.7);
}

.card-floating-text {
  position: absolute;
  bottom: 5%;
  right: 5%;
  transform: rotate(-6deg);
  transform-origin: right bottom;
  font-family: "Lilita One", sans-serif;
  font-size: 1.6rem;
  color: #f7fdff;
  letter-spacing: 2px;
  padding: 0.6rem 1.4rem;
  border-radius: 12px;
  pointer-events: none;
}

.tag-web    { background:#033263; }
.tag-store  { background: #6c560f; }
.tag-itchio { background: #a1090a; }


@media (max-width: 768px) {
  main {
    flex-direction: column;
    align-items: center;
    gap: 20px;
      padding: 40px 40px;

  }

  body{
    background-size:600px;
  }

  .card-bg img.card-img {
    height: auto;
  }

  .card-floating-text {
    font-size: 1.3rem;
  }

  .card-floating-text {
  position: absolute;
  bottom: 22%;
  right: 47%;
  transform: rotate(-6deg);
  transform-origin: right bottom;
  font-family: "Lilita One", sans-serif;
  font-size: 1.1rem;
  color: #f7fdff;
  letter-spacing: 2px;
  padding: 0.6rem 1.4rem;
  border-radius: 12px;
  pointer-events: none;
}

  .card-link:nth-child(1) img.card-img { content: url("../resources/ui/index_banners/web_r.png"); }
  .card-link:nth-child(2) img.card-img { content: url("../resources/ui/index_banners/store_r.png"); }
  .card-link:nth-child(3) img.card-img { content: url("../resources/ui/index_banners/itchio_r.png"); }
}
